

# UntagResource
<a name="API_route53globalresolver_UntagResource"></a>

Removes tags from a Route 53 Global Resolver resource.

**Important**  
Route 53 Global Resolver is a global service that supports resolvers in multiple Amazon Web Services Regions but you must specify the US East (Ohio) Region to create, update, or otherwise work with Route 53 Global Resolver resources. That is, for example, specify `--region us-east-2` on Amazon CLI commands.

## Request Syntax
<a name="API_route53globalresolver_UntagResource_RequestSyntax"></a>

```
POST /untag-resource HTTP/1.1
Content-type: application/json

{
   "resourceArn": "{{string}}",
   "tagKeys": [ "{{string}}" ]
}
```

## URI Request Parameters
<a name="API_route53globalresolver_UntagResource_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_route53globalresolver_UntagResource_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [resourceArn](#API_route53globalresolver_UntagResource_RequestSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_UntagResource-request-resourceArn"></a>
Amazon Resource Name (ARN) of the resource.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `arn:[-.a-z0-9]{1,63}:[-.a-z0-9]{1,63}:[-.a-z0-9]{0,63}:[-.a-z0-9]{0,63}:[^/].{0,1023}`   
Required: Yes

 ** [tagKeys](#API_route53globalresolver_UntagResource_RequestSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_UntagResource-request-tagKeys"></a>
The tag keys associated with the resource.  
Type: Array of strings  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `([\p{L}\p{Z}\p{N}_.:/=+\-@]*)`   
Required: Yes

## Response Syntax
<a name="API_route53globalresolver_UntagResource_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_route53globalresolver_UntagResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_route53globalresolver_UntagResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ResourceNotFoundException **   
The specified resource was not found. Verify the resource ID and try again.    
 ** resourceId **   
The unique ID of the resource referenced in the failed request.  
 ** resourceType **   
The resource type of the resource referenced in the failed request.
HTTP Status Code: 404

 ** ValidationException **   
The input parameters are invalid. Check the parameter values and try again.    
 ** fieldList **   
The list of fields that aren't valid.  
 ** reason **   
Reason the request failed validation.
HTTP Status Code: 400

## See Also
<a name="API_route53globalresolver_UntagResource_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/route53globalresolver-2022-09-27/UntagResource) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/route53globalresolver-2022-09-27/UntagResource) 
+  [Amazon SDK for C\+\+](https://docs.amazonaws.cn/goto/SdkForCpp/route53globalresolver-2022-09-27/UntagResource) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/route53globalresolver-2022-09-27/UntagResource) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/route53globalresolver-2022-09-27/UntagResource) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/route53globalresolver-2022-09-27/UntagResource) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/route53globalresolver-2022-09-27/UntagResource) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/route53globalresolver-2022-09-27/UntagResource) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/route53globalresolver-2022-09-27/UntagResource) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/route53globalresolver-2022-09-27/UntagResource) 